Package org.drinkless.tdlib

# Class TdApi.Story

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Story

Enclosing class:
  `TdApi`

public static class TdApi.Story extends TdApi.Object
Represents a story.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int[]`
  `albumIds`
  Identifiers of story albums to which the story is added; only for manageable stories.
  `TdApi.StoryArea[]`
  `areas`
  Clickable areas to be shown on the story content.
  `boolean`
  `canBeAddedToAlbum`
  True, if the story can be added to an album using createStoryAlbum and addStoryAlbumStories.
  `boolean`
  `canBeDeleted`
  True, if the story can be deleted.
  `boolean`
  `canBeEdited`
  True, if the story can be edited.
  `boolean`
  `canBeForwarded`
  True, if the story can be forwarded as a message or reposted as a story.
  `boolean`
  `canBeReplied`
  True, if the story can be replied in the chat with the user who posted the story.
  `boolean`
  `canGetInteractions`
  True, if interactions with the story can be received through getStoryInteractions.
  `boolean`
  `canGetStatistics`
  True, if the story statistics are available through getStoryStatistics.
  `boolean`
  `canSetPrivacySettings`
  True, if the story privacy settings can be changed.
  `boolean`
  `canToggleIsPostedToChatPage`
  True, if the story's isPostedToChatPage value can be changed.
  `TdApi.FormattedText`
  `caption`
  Caption of the story.
  `TdApi.ReactionType`
  `chosenReactionType`
  Type of the chosen reaction; may be null if none.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.StoryContent`
  `content`
  Content of the story.
  `int`
  `date`
  Point in time (Unix timestamp) when the story was published.
  `boolean`
  `hasExpiredViewers`
  True, if users viewed the story can't be received, because the story has expired more than getOption("story_viewers_expiration_delay") seconds ago.
  `int`
  `id`
  Unique story identifier among stories posted by the given chat.
  `TdApi.StoryInteractionInfo`
  `interactionInfo`
  Information about interactions with the story; may be null if the story isn't owned or there were no interactions.
  `boolean`
  `isBeingEdited`
  True, if the story is being edited by the current user.
  `boolean`
  `isBeingPosted`
  True, if the story is being posted by the current user.
  `boolean`
  `isEdited`
  True, if the story was edited.
  `boolean`
  `isPostedToChatPage`
  True, if the story is saved in the profile of the chat that posted it and will be available there after expiration.
  `boolean`
  `isVisibleOnlyForSelf`
  True, if the story is visible only for the current user.
  `long`
  `posterChatId`
  Identifier of the chat that posted the story.
  `TdApi.MessageSender`
  `posterId`
  Identifier of the user or chat that posted the story; may be null if the story is posted on behalf of the posterChatId.
  `TdApi.StoryPrivacySettings`
  `privacySettings`
  Privacy rules affecting story visibility; may be approximate for non-owned stories.
  `TdApi.StoryRepostInfo`
  `repostInfo`
  Information about the original story; may be null if the story wasn't reposted.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Story()`
  Represents a story.
  `Story(int id, long posterChatId, TdApi.MessageSender posterId, int date, boolean isBeingPosted, boolean isBeingEdited, boolean isEdited, boolean isPostedToChatPage, boolean isVisibleOnlyForSelf, boolean canBeAddedToAlbum, boolean canBeDeleted, boolean canBeEdited, boolean canBeForwarded, boolean canBeReplied, boolean canSetPrivacySettings, boolean canToggleIsPostedToChatPage, boolean canGetStatistics, boolean canGetInteractions, boolean hasExpiredViewers, TdApi.StoryRepostInfo repostInfo, TdApi.StoryInteractionInfo interactionInfo, TdApi.ReactionType chosenReactionType, TdApi.StoryPrivacySettings privacySettings, TdApi.StoryContent content, TdApi.StoryArea[] areas, TdApi.FormattedText caption, int[] albumIds)`
  Represents a story.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public int id
    Unique story identifier among stories posted by the given chat.

  - ### posterChatId

    public long posterChatId
    Identifier of the chat that posted the story.

  - ### posterId

    @Nullable public TdApi.MessageSender posterId
    Identifier of the user or chat that posted the story; may be null if the story is posted on behalf of the posterChatId.

  - ### date

    public int date
    Point in time (Unix timestamp) when the story was published.

  - ### isBeingPosted

    public boolean isBeingPosted
    True, if the story is being posted by the current user.

  - ### isBeingEdited

    public boolean isBeingEdited
    True, if the story is being edited by the current user.

  - ### isEdited

    public boolean isEdited
    True, if the story was edited.

  - ### isPostedToChatPage

    public boolean isPostedToChatPage
    True, if the story is saved in the profile of the chat that posted it and will be available there after expiration.

  - ### isVisibleOnlyForSelf

    public boolean isVisibleOnlyForSelf
    True, if the story is visible only for the current user.

  - ### canBeAddedToAlbum

    public boolean canBeAddedToAlbum
    True, if the story can be added to an album using createStoryAlbum and addStoryAlbumStories.

  - ### canBeDeleted

    public boolean canBeDeleted
    True, if the story can be deleted.

  - ### canBeEdited

    public boolean canBeEdited
    True, if the story can be edited.

  - ### canBeForwarded

    public boolean canBeForwarded
    True, if the story can be forwarded as a message or reposted as a story. Otherwise, screenshotting and saving of the story content must be also forbidden.

  - ### canBeReplied

    public boolean canBeReplied
    True, if the story can be replied in the chat with the user who posted the story.

  - ### canSetPrivacySettings

    public boolean canSetPrivacySettings
    True, if the story privacy settings can be changed.

  - ### canToggleIsPostedToChatPage

    public boolean canToggleIsPostedToChatPage
    True, if the story's isPostedToChatPage value can be changed.

  - ### canGetStatistics

    public boolean canGetStatistics
    True, if the story statistics are available through getStoryStatistics.

  - ### canGetInteractions

    public boolean canGetInteractions
    True, if interactions with the story can be received through getStoryInteractions.

  - ### hasExpiredViewers

    public boolean hasExpiredViewers
    True, if users viewed the story can't be received, because the story has expired more than getOption("story_viewers_expiration_delay") seconds ago.

  - ### repostInfo

    @Nullable public TdApi.StoryRepostInfo repostInfo
    Information about the original story; may be null if the story wasn't reposted.

  - ### interactionInfo

    @Nullable public TdApi.StoryInteractionInfo interactionInfo
    Information about interactions with the story; may be null if the story isn't owned or there were no interactions.

  - ### chosenReactionType

    @Nullable public TdApi.ReactionType chosenReactionType
    Type of the chosen reaction; may be null if none.

  - ### privacySettings

    public TdApi.StoryPrivacySettings privacySettings
    Privacy rules affecting story visibility; may be approximate for non-owned stories.

  - ### content

    public TdApi.StoryContent content
    Content of the story.

  - ### areas

    public TdApi.StoryArea[] areas
    Clickable areas to be shown on the story content.

  - ### caption

    public TdApi.FormattedText caption
    Caption of the story.

  - ### albumIds

    public int[] albumIds
    Identifiers of story albums to which the story is added; only for manageable stories.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Story

    public Story()
    Represents a story.

  - ### Story

    public Story(int id, long posterChatId, TdApi.MessageSender posterId, int date, boolean isBeingPosted, boolean isBeingEdited, boolean isEdited, boolean isPostedToChatPage, boolean isVisibleOnlyForSelf, boolean canBeAddedToAlbum, boolean canBeDeleted, boolean canBeEdited, boolean canBeForwarded, boolean canBeReplied, boolean canSetPrivacySettings, boolean canToggleIsPostedToChatPage, boolean canGetStatistics, boolean canGetInteractions, boolean hasExpiredViewers, TdApi.StoryRepostInfo repostInfo, TdApi.StoryInteractionInfo interactionInfo, TdApi.ReactionType chosenReactionType, TdApi.StoryPrivacySettings privacySettings, TdApi.StoryContent content, TdApi.StoryArea[] areas, TdApi.FormattedText caption, int[] albumIds)
    Represents a story.
    Parameters:
      `id` - Unique story identifier among stories posted by the given chat.
      `posterChatId` - Identifier of the chat that posted the story.
      `posterId` - Identifier of the user or chat that posted the story; may be null if the story is posted on behalf of the posterChatId.
      `date` - Point in time (Unix timestamp) when the story was published.
      `isBeingPosted` - True, if the story is being posted by the current user.
      `isBeingEdited` - True, if the story is being edited by the current user.
      `isEdited` - True, if the story was edited.
      `isPostedToChatPage` - True, if the story is saved in the profile of the chat that posted it and will be available there after expiration.
      `isVisibleOnlyForSelf` - True, if the story is visible only for the current user.
      `canBeAddedToAlbum` - True, if the story can be added to an album using createStoryAlbum and addStoryAlbumStories.
      `canBeDeleted` - True, if the story can be deleted.
      `canBeEdited` - True, if the story can be edited.
      `canBeForwarded` - True, if the story can be forwarded as a message or reposted as a story. Otherwise, screenshotting and saving of the story content must be also forbidden.
      `canBeReplied` - True, if the story can be replied in the chat with the user who posted the story.
      `canSetPrivacySettings` - True, if the story privacy settings can be changed.
      `canToggleIsPostedToChatPage` - True, if the story's isPostedToChatPage value can be changed.
      `canGetStatistics` - True, if the story statistics are available through getStoryStatistics.
      `canGetInteractions` - True, if interactions with the story can be received through getStoryInteractions.
      `hasExpiredViewers` - True, if users viewed the story can't be received, because the story has expired more than getOption("story_viewers_expiration_delay") seconds ago.
      `repostInfo` - Information about the original story; may be null if the story wasn't reposted.
      `interactionInfo` - Information about interactions with the story; may be null if the story isn't owned or there were no interactions.
      `chosenReactionType` - Type of the chosen reaction; may be null if none.
      `privacySettings` - Privacy rules affecting story visibility; may be approximate for non-owned stories.
      `content` - Content of the story.
      `areas` - Clickable areas to be shown on the story content.
      `caption` - Caption of the story.
      `albumIds` - Identifiers of story albums to which the story is added; only for manageable stories.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR